
TARGET := bit4sat
GOINSTALL := GO111MODULE=on go install -v
GOBUILD := GO111MODULE=on go build -v
WEBDIST := bit4sat/webdist
WEBDIST_DOCKER := docker/Dockerfile-dist-prod

.PHONY: all build install

all: build

build:
	$(GOBUILD) -o $(TARGET)

install:
	$(GOINSTALL)

webdist:
	docker build -t $(WEBDIST) -f $(WEBDIST_DOCKER) .
